//Troy Rosin

#ifndef __err_check_h__
#define __err_check_h__

//pass TEX is an SDL_Texture pointer, rend is the renderer
// and path is the path to the texture to load.

#define IMG_GETANDCHECK(TEX, REND, PATH)\
  TEX = IMG_LoadTexture(REND, PATH);\
  if(!TEX){\
    printf("IMG_LoadTexture error: %s\n", IMG_GetError());\
  }
  



#endif

